Eclipse Platform Release 3.7

## org.eclipse.ui
Class WorkbenchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.core.runtime.CoreException
                  org.eclipse.ui.WorkbenchException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultiPartInitException, PartInitException

    public class WorkbenchException

extends CoreException

A checked exception indicating a recoverable error occured internal to the workbench. The status provides a further description of the problem.

This exception class is not intended to be subclassed by clients.

See Also:
  Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`WorkbenchException(IStatus status)` Creates a new exception with the given status object.
`WorkbenchException(String message)` Creates a new exception with the given message.
`WorkbenchException(String message, Throwable nestedException)` Creates a new exception with the given message.

Method Summary

Methods inherited from class org.eclipse.core.runtime.CoreException
`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WorkbenchException

    public WorkbenchException(String message)

  Creates a new exception with the given message.

  Parameters:
    `message` - the message

### WorkbenchException

    public WorkbenchException(String message,
                              Throwable nestedException)

  Creates a new exception with the given message.

  Parameters:
    `message` - the message
    `nestedException` - an exception to be wrapped by this WorkbenchException

### WorkbenchException

    public WorkbenchException(IStatus status)

  Creates a new exception with the given status object. The message of the given status is used as the exception message.

  Parameters:
    `status` - the status object to be associated with this exception

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.